

/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
  }
  /*
    2. Remove default margin
  */
  * {
    margin: 0;
    
  }
  /*
    3. Allow percentage-based heights in the application
  */
  html, body {
    height: 100%;
    width: 100%;
  }
  /*
    Typographic tweaks!
    4. Add accessible line-height
    5. Improve text rendering
  */

  html{
    background-color: rgb(26, 16, 0);
    color: rgb(255, 138, 138);
    align-content: center;
    
    
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif
    }

  body {
    

    line-height: 1.5;
    -webkit-font-smoothing: antialiased;

    box-sizing: none;
    margin: none;
  }

  main{
    display: grid;
    justify-content: center;
    margin-left: 0%;
    padding-bottom: 3%;
    }

  /*
    6. Improve media defaults
  */
  img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
  }
  /*
    7. Remove built-in form typography styles
  */
  input, button, textarea, select {
    font: inherit;
  }
  /*
    8. Avoid text overflows
  */
  p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
  }
  /*
    9. Create a root stacking context
  */
  #root, #__next {
    isolation: isolate;
  }



nav{
    display: grid;
    background-color: rgb(177, 85, 0);
    

    width: 100%;
    height: 5%;

    align-content: center;
    justify-content: center;
    justify-items: center;
    align-items: center;

    padding-bottom: 0%;
    padding-top: 0%;
    margin: 0%;
}



a{
    display: inline;
    justify-content: center;
    align-content: center;
    color: rgb(255, 155, 155);
    width: 130%;
    height: 110%;
    text-shadow: 0 0 25px rgb(250, 200, 200);
    font-size: larger;


    text-decoration: None;
}
a:hover{
    color: white;
    text-shadow: 0 0 15px rgb(255, 255, 255);
    font-style: bold;
    background-color: rgb(71, 40, 0);
}

.title{
    display: flex;
    background-color: transparent;
    color: rgb(255, 129, 167);
    text-shadow: 0 0 15px rgb(255, 169, 169);
    box-shadow: 0 0 2px rgb(17, 8, 0);
    font-size: 175%;

    padding-left: 0; 
    margin-left: 0%;
    text-decoration: none;
    width: fit-content;
    justify-content: left;

    margin-top: 1%;
    margin-bottom: 1%;
    animation-play-state: paused;
}

.title:hover{
    background-color: rgb(26, 16, 0);
    
    animation-name: grow;
    animation-iteration-count: infinite;
    animation-duration: .7s;
    animation-timing-function: linear;
    animation-fill-mode: backwards;
    

    animation-play-state: running;
}

@keyframes grow {
    100%{
        color: rgb(255, 129, 167);
        text-shadow: 0 0 15px rgb(255, 169, 169);
        box-shadow: 0 0 1px rgb(31, 0, 0);
    }
    50%{
        color:rgb(255, 183, 183);
        text-shadow: 0 0 30px rgb(255, 157, 182);
        box-shadow: 0 0 5px rgb(27, 0, 0);
        
        
        transform-origin: center center;
    }
}

table:hover, ol:hover, img:hover{
    box-shadow: 0 0 35px rgb(255, 193, 193);

}
ol:hover, img:hover{
    border: 4px solid rgb(255, 193, 193);
}
table:hover{
    background-color:  rgb(255, 193, 193);
}

table {
    background-color: rgb(255, 160, 160);
    box-shadow: 0 0 15px rgb(255, 163, 163);
    

    width:60%;

    padding-top:.5%;
    padding-bottom: .5%;
    padding-right: .5%;
    padding-left: .5%;
}

thead{
    background-color:  rgb(41, 27, 5);

    text-shadow: 0 0 15px rgb(255, 169, 169);
    box-shadow: 0 0 1px rgb(59, 39, 39);

    margin: .5%;
    text-align: left;

    width: 100%;
    padding-top: 5%;
}

tbody{
    background-color:  rgb(41, 27, 5);
    font-style: italic;
    
   
}

tr:nth-child(even){
    background-color:  rgba(255, 134, 134, 0.274);
    text-shadow: 0 0 15px rgba(255, 169, 169, 0.712);
    box-shadow: 0 0 1px rgb(0, 0, 0);

}

tr:hover{
    color: white;
    text-shadow: 0 0 15px rgb(255, 171, 171);
}

td, th{
    padding-left: 2%;
    padding-right: .3%;
    
}

ol{
    background-color:  rgb(41, 27, 5);
    border: 4px solid rgb(255, 169, 169);
    box-shadow: 0 0 15px rgb(255, 163, 163);
    color:rgb(255, 163, 163);
    text-shadow: 0 0 10px rgb(255, 191, 191);


    width: fit-content;
    padding-top:.5%;
    padding-bottom: .5%;
    padding-right: 1%
}

li{
    padding-top: .8%;
}

li:hover{
    color: white;
    text-shadow: 0 0 15px rgb(255, 171, 171);
}

span{
    color:rgb(255, 187, 187);
    text-shadow: 0 0 15px rgb(255, 117, 117);
    box-shadow: 0 0 1px rgb(59, 39, 39);

    font-style: bold;
}

img{
    border:4px solid rgb(255, 169, 169);
    box-shadow: 0 0 15px rgb(255, 163, 163);
    height: 500px;
}
div{
    display: flexbox;
    width: fit-content;
}


.nav-bars{
    width: fit-content;
    height: 120%;
    display: inline;
    font-style: none;
    font-size: 160%;


    box-shadow: none;
    margin-right: 5%;
    margin-left: 5%;
    justify-content: center;

}
